ipe::ObjectFactory Class Reference
Ipe Utilities

`#include <ipefactory.h>`

## Static Public Member Functions

static Object * | createObject (String name, const XmlAttributes &attr, String data)
static Object * | createImage (String name, const XmlAttributes &attr, Bitmap bitmap)

## Detailed Description

Factory for Ipe leaf objects.

## Member Function Documentation

Object * ObjectFactory::createObject | ( | String | name,
|  | const XmlAttributes & | attr,
|  | String | data
| ) |  |

static

Create an Ipe object by calling the right constructor.

Referenced by ipe::ImlParser::parseObject().

Object * ObjectFactory::createImage | ( | String | name,
|  | const XmlAttributes & | attr,
|  | Bitmap | bitmap
| ) |  |

static

Create an Image with a given bitmap.

Referenced by ipe::ImlParser::parseObject().

The documentation for this class was generated from the following files:

- ipefactory.h
- ipefactory.cpp